
Redmine - Feature #1138

Issue templates

2008-04-29 13:02 - Lucas Bonnet

Status: Closed Start date: 2008-04-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

It would be cool to allow "pre-filled issues" where some fields are already set to their wanted value.

This could be done by setting useful parameters in the URL (http://myredmine.com/issues/new/tracker/feature/status/new etc.) or by

defining "issue templates" in the admin.

(first issue btw, feel free to correct things that I did wrong, or if I'm unclear).

Related issues:

Related to Redmine - Feature #2313: Creating Issues from template Closed 2008-12-11

Related to Redmine - Patch #2931: Templating for description of new tickets b... New

Is duplicate of Redmine - Feature #6715: Issue templates New 2010-10-20

History

#1 - 2009-02-05 08:20 - Damien Couderc

+ 1

In fact, my team need something more complex than that.

In Trac we are used to set a TOTO list in the ticket description for recurrent tasks. Having the ability to pick a template to create new issues would be

a nice feature.

#2 - 2009-02-05 08:21 - Damien Couderc

I forgot to say than instead of admin, templates should be handled by project managers for each projet.

#3 - 2009-02-06 15:10 - Damien Couderc

Damien Couderc wrote:

In Trac we are used to set a TOTO list in the ticket description for recurrent tasks. Having the ability to pick a template to create new issues

would be a nice feature.

 Please read TODO instead :)

#4 - 2009-03-05 03:48 - Dong Wang

it's a very important feature for my team too.

#5 - 2010-03-05 14:53 - Christian Mayr

+1

We could use this as some kind of "checklist" for certain trackers, making sure that one doesn't forget important points

#6 - 2010-07-22 15:16 - Matthias Siegel

+1

#7 - 2010-08-13 06:23 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

Closed in favor of duplicated issue #643.
http://myredmine.com/issues/new/tracker/feature/status/new
https://www.redmine.org/issues/643


#8 - 2016-09-06 22:14 - Fred B

I don't think #1138 should be closed.  #643 only ask for Issue description templates.

To my point of view, template would be useful for almost every issue field, and especially for auto creating sub-task and checklist.

+1 for an Issue template functionality integrated into Redmine core.

#9 - 2016-09-07 14:30 - Toshi MARUYAMA

Fred B wrote:

I don't think #1138 should be closed.  #643 only ask for Issue description templates.

To my point of view, template would be useful for almost every issue field, and especially for auto creating sub-task and checklist.

+1 for an Issue template functionality integrated into Redmine core.

 #6715

#10 - 2016-09-07 14:31 - Toshi MARUYAMA

- Is duplicate of deleted (Feature #643: Issue description templates)

#11 - 2016-09-07 14:31 - Toshi MARUYAMA

- Is duplicate of Feature #6715: Issue templates added

#12 - 2016-09-07 14:32 - Toshi MARUYAMA

- Has duplicate deleted (Feature #3153: Default description text)

#13 - 2020-12-25 09:15 - Sunding Wei

Issue Template Plugin - JavaScript

I made a simple hack with JavaScript. It's very simple to use, change as you need. Check it out here:

https://github.com/sweihub/redmine/blob/master/plugins/redmine_mermaid_macro/assets/javascripts/issue-template.js

You have to install this plugin, since I attached my "redmine issue template" script to the plugin

https://github.com/sweihub/redmine/tree/master/plugins/redmine_mermaid_macro

Or, simply use my enhanced "Redmine v4.x + basecamp theme + useful plugins" bundle.

https://github.com/sweihub/redmine/
